Name:           tkimg
Version:        1.4
Release:        %mkrel 2
Summary:        Image support library for Tk
Group:          System/Libraries
License:        BSD
URL:            http://sourceforge.net/projects/tkimg
Source0:        %{name}%{version}.tar.bz2
# A request to allow building with system libraries has been submitted
# https://sourceforge.net/tracker/index.php?func=detail&aid=2292032&group_id=52039&atid=465495
Patch0:         tkimg-20081115-syslibs-zlib.patch
Patch1:         tkimg-20081115-syslibs-png.patch
Patch2:         tkimg-20081115-syslibs-tiff.patch
Patch3:         tkimg-20081115-syslibs-jpg.patch
BuildRequires:  tcl-devel
BuildRequires:  tk-devel
BuildRequires:  tcl-tcllib
BuildRequires:  libtiff-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  zlib-devel
Requires:       tcl

%description
This package contains a collection of image format handlers for the Tk
photo image type, and a new image type, pixmaps.
The provided format handlers include bmp, gif, ico, jpeg, pcx, png,
ppm, ps, sgi, sun, tga, tiff, xbm, and xpm.

%package devel
Summary:        Libraries, includes, etc. used to develop an application with %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       tcl-devel
Requires:       tk-devel
Requires:       libtiff-devel
Requires:       libpng-devel
Requires:       libjpeg-devel
Requires:       zlib-devel

%description devel
This are the header files needed to develop a %{name} application.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure2_5x --with-tcl=%{tcl_sitearch} --with-tk=%{_libdir} --libdir=%{tcl_sitearch} --disable-threads
%make

%install
make INSTALL_ROOT=%{buildroot} install

# Fixing some permissions
find %{buildroot}/%{tcl_sitearch} -name "*.sh" |xargs chmod 644
find %{buildroot}/%{tcl_sitearch} -name "*.tcl" |xargs chmod 644
find %{buildroot}/%{tcl_sitearch} -name "*.a" |xargs chmod 644
find %{buildroot}/%{tcl_sitearch} -name "*.so" |xargs chmod 755

# Make library links
%{__mv} %{buildroot}/%{tcl_sitearch}/*.sh %{buildroot}/%{_libdir}
for tcllibs in %{buildroot}/%{tcl_sitearch}/Img1.4/*tcl*.so; do
btcllibs=`basename $tcllibs`
%{__ln_s} tcl%{tcl_version}/Img1.4/$btcllibs %{buildroot}/%{_libdir}/$btcllibs
done

%files
%doc README
%{_libdir}/*.so
%{tcl_sitearch}/Img1.4
%exclude %{tcl_sitearch}/Img1.4/*.a
%{_mandir}/mann/*.n*

%files devel
%doc README
%{_includedir}/*
%{_libdir}/*.sh
%{tcl_sitearch}/Img1.4/*.a


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.4-2.mga4
+ Revision: 531269
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 joequant <joequant> 1.4-1.mga4
+ Revision: 462738
- add tcllib
- update tkimg

  + dams <dams>
    - new version 1.4
    - clean specfile
    - imported package tkimg


* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 1.4-0.20081115.1mdv2009.1
+ Revision: 310145
- import tkimg


